Loading...
Searching...
No Matches
point_basic< T >

## Detailed Description

template<class T>
struct rheolef::point_basic< T >

Definition at line 86 of file point.h.

Inheritance diagram for point_basic< T >:

## Public Types

typedef size_t | size_type
typedef T | element_type
typedef T | scalar_type
typedef T | float_type
typedef std::array< T, 3 > | base
typedef std::array< T, 3 > | base

## Public Member Functions

| point_basic ()
| point_basic (const T &x0, const T &x1=0, const T &x2=0)
template<class T1 >
| point_basic (const point_basic< T1 > &p)
template<class T1 >
point_basic< T > & | operator= (const point_basic< T1 > &p)
| point_basic (const std::initializer_list< T > &il)
T & | operator[] (int i_coord)
T & | operator() (int i_coord)
const T & | operator[] (int i_coord) const
const T & | operator() (int i_coord) const
bool | operator== (const point_basic< T > &v) const
bool | operator!= (const point_basic< T > &v) const
point_basic< T > | operator+ (const point_basic< T > &v) const
point_basic< T > | operator- (const point_basic< T > &v) const
point_basic< T > | operator- () const
point_basic< T > & | operator+= (const point_basic< T > &v)
point_basic< T > & | operator-= (const point_basic< T > &v)
point_basic< T > & | operator*= (const T &a)
point_basic< T > & | operator/= (const T &a)
template<class U >
std::enable_if< details::is_rheolef_arithmetic< U >::value, point_basic< T > >::type | operator* (const U &a) const
point_basic< T > | operator/ (const T &a) const
point_basic< T > | operator/ (point_basic< T > v) const
std::istream & | get (std::istream &s, int d=3)
std::ostream & | put (std::ostream &s, int d=3) const
const T & | x () const
const T & | y () const
const T & | z () const
T & | x ()
T & | y ()
T & | z ()
| point_basic (T x0=T(), T x1=T(), T x2=T())
| point_basic (T x0=T(), T x1=T(), T x2=T())

## Static Public Member Functions

static T | _my_abs (const T &x)

## Public Attributes

T | _x [3]

## Member Typedef Documentation

## size_type

template<class T >

typedef size_t size_type

Definition at line 91 of file point.h.

## element_type

template<class T >

typedef T element_type

Definition at line 92 of file point.h.

## scalar_type

template<class T >

typedef T scalar_type

Definition at line 93 of file point.h.

## float_type

template<class T >

typedef T float_type

Definition at line 94 of file point.h.

## base [1/2]

template<class T >

typedef std::array<T,3> base

Definition at line 60 of file field2gmsh_pos.cc.

## base [2/2]

template<class T >

typedef std::array<T,3> base

Definition at line 135 of file msh2geo.cc.

## Constructor & Destructor Documentation

## point_basic() [1/6]

template<class T >

point_basic | ( |  | ) |

explicit

Definition at line 328 of file point.h.

## point_basic() [2/6]

template<class T >

point_basic | ( | const T & | x0,
|  | const T & | x1 = `0`,
|  | const T & | x2 = `0`
| ) |  |

explicit

Definition at line 334 of file point.h.

## point_basic() [3/6]

template<class T >
template<class T1 >

point_basic | ( | const point_basic< T1 > & | p | ) |

Definition at line 345 of file point.h.

## point_basic() [4/6]

template<class T >

point_basic | ( | const std::initializer_list< T > & | il | ) |

Definition at line 362 of file point.h.

## point_basic() [5/6]

template<class T >

point_basic | ( | T | x0 = `T()`,
|  | T | x1 = `T()`,
|  | T | x2 = `T()`
| ) |  |

Definition at line 61 of file field2gmsh_pos.cc.

## point_basic() [6/6]

template<class T >

point_basic | ( | T | x0 = `T()`,
|  | T | x1 = `T()`,
|  | T | x2 = `T()`
| ) |  |

Definition at line 136 of file msh2geo.cc.

## Member Function Documentation

## operator=()

template<class T >
template<class T1 >

point_basic< T > & operator= | ( | const point_basic< T1 > & | p | ) |

Definition at line 354 of file point.h.

## operator[]() [1/2]

template<class T >

T & operator[] | ( | int | i_coord | ) |

Definition at line 111 of file point.h.

## operator()() [1/2]

template<class T >

T & operator() | ( | int | i_coord | ) |

Definition at line 112 of file point.h.

## operator[]() [2/2]

template<class T >

const T & operator[] | ( | int | i_coord | ) | const

Definition at line 113 of file point.h.

## operator()() [2/2]

template<class T >

const T & operator() | ( | int | i_coord | ) | const

Definition at line 114 of file point.h.

## operator==()

template<class T >

bool operator== | ( | const point_basic< T > & | v | ) | const

## operator!=()

template<class T >

bool operator!= | ( | const point_basic< T > & | v | ) | const

## operator+()

template<class T >

point_basic< T > operator+ | ( | const point_basic< T > & | v | ) | const

Definition at line 494 of file point.h.

## operator-() [1/2]

template<class T >

point_basic< T > operator- | ( | const point_basic< T > & | v | ) | const

Definition at line 510 of file point.h.

## operator-() [2/2]

template<class T >

point_basic< T > operator- | ( |  | ) | const

Definition at line 502 of file point.h.

## operator+=()

template<class T >

point_basic< T > & operator+= | ( | const point_basic< T > & | v | ) |

## operator-=()

template<class T >

point_basic< T > & operator-= | ( | const point_basic< T > & | v | ) |

Definition at line 467 of file point.h.

## operator*=()

template<class T >

point_basic< T > & operator*= | ( | const T & | a | ) |

Definition at line 476 of file point.h.

## operator/=()

template<class T >

point_basic< T > & operator/= | ( | const T & | a | ) |

Definition at line 485 of file point.h.

## operator*()

template<class T >
template<class U >

std::enable_if< details::is_rheolef_arithmetic< U >::value, point_basic< T > >::type operator* | ( | const U & | a | ) | const

Definition at line 533 of file point.h.

## operator/() [1/2]

template<class T >

point_basic< T > operator/ | ( | const T & | a | ) | const

Definition at line 541 of file point.h.

## operator/() [2/2]

template<class T >

point_basic< T > operator/ | ( | point_basic< T > | v | ) | const

Definition at line 547 of file point.h.

## get()

template<class T >

std::istream & get | ( | std::istream & | s,
|  | int | d = `3`
| ) |  |

Definition at line 376 of file point.h.

## put()

template<class T >

std::ostream & put | ( | std::ostream & | s,
|  | int | d = `3`
| ) |  | const

Definition at line 388 of file point.h.

## x() [1/2]

template<class T >

const T & x | ( |  | ) | const

Definition at line 146 of file point.h.

## y() [1/2]

template<class T >

const T & y | ( |  | ) | const

Definition at line 147 of file point.h.

## z() [1/2]

template<class T >

const T & z | ( |  | ) | const

Definition at line 148 of file point.h.

## x() [2/2]

template<class T >

T & x | ( |  | ) |

Definition at line 149 of file point.h.

## y() [2/2]

template<class T >

T & y | ( |  | ) |

Definition at line 150 of file point.h.

## z() [2/2]

template<class T >

T & z | ( |  | ) |

Definition at line 151 of file point.h.

## _my_abs()

template<class T >

static T _my_abs | ( | const T & | x | ) |

static

Definition at line 157 of file point.h.

## Member Data Documentation

## _x

template<class T >

T _x[3]

Definition at line 155 of file point.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-Hrneba/rheolef-7.2/fem/geo_element/point.h
- /build/rheolef-Hrneba/rheolef-7.2/main/sbin/field2gmsh_pos.cc
- /build/rheolef-Hrneba/rheolef-7.2/main/sbin/msh2geo.cc